import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/getSearchCondition', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/contractmodule/edit', 'POST', params);
}